import React, { useEffect, useState } from 'react';
import './App.css';
import Channel from './Channel';

function App() {
  let [status,setStatus] = useState([])

  useEffect(()=>{
    (async ()=>{
      const res = await fetch("https://node.kapelle.org/pub/ts3");
      const json = await res.json();
      setStatus(json);
    })();
  },[]);

  return (
    <div className="container">
      {status.map(c => {
        return <Channel channel={c} />
      })}
    </div>
  );
}

export default App;
